Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 355019 - kde-base/ksplash-4.6.0: compilation fails with media-libs/libpng-1.5.x
Summary: kde-base/ksplash-4.6.0: compilation fails with media-libs/libpng-1.5.x
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] KDE (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Gentoo KDE team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: libpng-1.5
  Show dependency tree
 
Reported: 2011-02-15 13:00 UTC by Lars Wendler (Polynomial-C)
Modified: 2011-04-04 18:04 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
ksplash libpng 1.5 fix from git master (ksplash-4.6.0-libpng15.diff,651 bytes, patch)
2011-02-18 21:23 UTC, Robert Förster
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Lars Wendler (Polynomial-C) gentoo-dev 2011-02-15 13:00:55 UTC
[ 15%] Building CXX object ksplash/ksplashx/CMakeFiles/ksplashx.dir/qpngio.o
/var/tmp/portage/kde-base/ksplash-4.6.0/work/ksplash-4.6.0/ksplash/ksplashx/qpngio.cpp: In function ‘void setup_qt(QImage&, png_struct*, png_info*, float)’:
/var/tmp/portage/kde-base/ksplash-4.6.0/work/ksplash-4.6.0/ksplash/ksplashx/qpngio.cpp:120:33: error: invalid use of incomplete type ‘struct png_info’
/usr/include/png.h:670:16: error: forward declaration of ‘struct png_info’
/var/tmp/portage/kde-base/ksplash-4.6.0/work/ksplash-4.6.0/ksplash/ksplashx/qpngio.cpp:157:25: error: invalid use of incomplete type ‘struct png_info’
/usr/include/png.h:670:16: error: forward declaration of ‘struct png_info’
/var/tmp/portage/kde-base/ksplash-4.6.0/work/ksplash-4.6.0/ksplash/ksplashx/qpngio.cpp:167:17: error: invalid use of incomplete type ‘struct png_info’
/usr/include/png.h:670:16: error: forward declaration of ‘struct png_info’
/var/tmp/portage/kde-base/ksplash-4.6.0/work/ksplash-4.6.0/ksplash/ksplashx/qpngio.cpp:175:54: error: invalid use of incomplete type ‘struct png_info’
/usr/include/png.h:670:16: error: forward declaration of ‘struct png_info’
/var/tmp/portage/kde-base/ksplash-4.6.0/work/ksplash-4.6.0/ksplash/ksplashx/qpngio.cpp:181:26: error: invalid use of incomplete type ‘struct png_info’
/usr/include/png.h:670:16: error: forward declaration of ‘struct png_info’
/var/tmp/portage/kde-base/ksplash-4.6.0/work/ksplash-4.6.0/ksplash/ksplashx/qpngio.cpp:183:15: error: invalid use of incomplete type ‘struct png_info’
/usr/include/png.h:670:16: error: forward declaration of ‘struct png_info’
/var/tmp/portage/kde-base/ksplash-4.6.0/work/ksplash-4.6.0/ksplash/ksplashx/qpngio.cpp:184:15: error: invalid use of incomplete type ‘struct png_info’
/usr/include/png.h:670:16: error: forward declaration of ‘struct png_info’
/var/tmp/portage/kde-base/ksplash-4.6.0/work/ksplash-4.6.0/ksplash/ksplashx/qpngio.cpp:185:15: error: invalid use of incomplete type ‘struct png_info’
/usr/include/png.h:670:16: error: forward declaration of ‘struct png_info’
/var/tmp/portage/kde-base/ksplash-4.6.0/work/ksplash-4.6.0/ksplash/ksplashx/qpngio.cpp:189:15: error: invalid use of incomplete type ‘struct png_info’
/usr/include/png.h:670:16: error: forward declaration of ‘struct png_info’
/var/tmp/portage/kde-base/ksplash-4.6.0/work/ksplash-4.6.0/ksplash/ksplashx/qpngio.cpp:196:22: error: invalid use of incomplete type ‘struct png_info’
/usr/include/png.h:670:16: error: forward declaration of ‘struct png_info’
/var/tmp/portage/kde-base/ksplash-4.6.0/work/ksplash-4.6.0/ksplash/ksplashx/qpngio.cpp:198:11: error: invalid use of incomplete type ‘struct png_info’
/usr/include/png.h:670:16: error: forward declaration of ‘struct png_info’
/var/tmp/portage/kde-base/ksplash-4.6.0/work/ksplash-4.6.0/ksplash/ksplashx/qpngio.cpp:199:11: error: invalid use of incomplete type ‘struct png_info’
/usr/include/png.h:670:16: error: forward declaration of ‘struct png_info’
/var/tmp/portage/kde-base/ksplash-4.6.0/work/ksplash-4.6.0/ksplash/ksplashx/qpngio.cpp:200:11: error: invalid use of incomplete type ‘struct png_info’
/usr/include/png.h:670:16: error: forward declaration of ‘struct png_info’
/var/tmp/portage/kde-base/ksplash-4.6.0/work/ksplash-4.6.0/ksplash/ksplashx/qpngio.cpp: In function ‘QImage splash_read_png_image(FILE*)’:
/var/tmp/portage/kde-base/ksplash-4.6.0/work/ksplash-4.6.0/ksplash/ksplashx/qpngio.cpp:283:9: error: invalid use of incomplete type ‘struct png_struct’
/usr/include/png.h:803:16: error: forward declaration of ‘struct png_struct’
make[2]: *** [ksplash/ksplashx/CMakeFiles/ksplashx.dir/qpngio.o] Error 1
Comment 1 Robert Förster 2011-02-18 21:23:11 UTC
Created attachment 262957 [details, diff]
ksplash libpng 1.5 fix from git master

untested and not yet backported to 4.6, but since there were not much changes in ksplash, i guess it will work
Comment 2 Lars Wendler (Polynomial-C) gentoo-dev 2011-02-21 09:17:24 UTC
The patch doesn't fix the problem.
Comment 4 Tomáš Chvátal (RETIRED) gentoo-dev 2011-04-04 18:04:43 UTC
Both 4.6.1 and 4.6.2 have the fix.
Since 4.6.0 is not stable candidate and is overshadowed as-is closing as fixed.